Bug 75129 - Update port: graphics/ftgl 2.09 -> 2.12
Summary: Update port: graphics/ftgl 2.09 -> 2.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-15 20:50 UTC by Igor Pokrovsky
Modified: 2005-04-21 18:57 UTC (History)
0 users

See Also:


Attachments
ftgl.diff (1.46 KB, patch)
2004-12-15 20:50 UTC, Igor Pokrovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Pokrovsky 2004-12-15 20:50:22 UTC
Update to 2.12.
Removed files:
	files/patch-unix_src_Makefile
Comment 1 Kirill Ponomarev freebsd_committer 2004-12-17 10:19:26 UTC
State Changed
From-To: open->feedback

=> Attempting to fetch from http://homepages.paradise.net.nz/henryj/code/. 
fetch: http://homepages.paradise.net.nz/henryj/code/ftgl-2.1.2.tar.gz: Not Found
Comment 2 Igor Pokrovsky 2004-12-17 17:44:37 UTC
Fetch problem fixed. Here is the updated patch.

diff -ruN /usr/ports/graphics/ftgl/Makefile ftgl/Makefile
--- /usr/ports/graphics/ftgl/Makefile	Sun Aug  1 21:22:53 2004
+++ ftgl/Makefile	Fri Dec 17 20:39:29 2004
@@ -6,9 +6,9 @@
 #
 
 PORTNAME=	ftgl
-PORTVERSION=	2.09
+PORTVERSION=	2.12
 CATEGORIES=	graphics
-MASTER_SITES=	http://homepages.paradise.net.nz/henryj/code/
+MASTER_SITES=	http://opengl.geek.nz/ftgl/
 DISTNAME=	${PORTNAME}-${PORTVERSION:C/([[:digit:]])$/.\1/}
 
 MAINTAINER=	ip@doom.homeunix.org
diff -ruN /usr/ports/graphics/ftgl/distinfo ftgl/distinfo
--- /usr/ports/graphics/ftgl/distinfo	Mon Jun 21 06:21:05 2004
+++ ftgl/distinfo	Fri Dec 17 20:36:37 2004
@@ -1,2 +1,2 @@
-MD5 (ftgl-2.0.9.tar.gz) = 2268267277c0655688879d0657b82650
-SIZE (ftgl-2.0.9.tar.gz) = 561543
+MD5 (ftgl-2.1.2.tar.gz) = 3eabec9ad37371c4d139408c7ffd2429
+SIZE (ftgl-2.1.2.tar.gz) = 568497
diff -ruN /usr/ports/graphics/ftgl/files/patch-unix_src_Makefile ftgl/files/patch-unix_src_Makefile
--- /usr/ports/graphics/ftgl/files/patch-unix_src_Makefile	Sun Jun 20 11:13:50 2004
+++ ftgl/files/patch-unix_src_Makefile	Thu Jan  1 03:00:00 1970
@@ -1,13 +0,0 @@
---- unix/src/Makefile.orig	Tue Jun 15 11:39:46 2004
-+++ unix/src/Makefile	Tue Jun 15 11:40:03 2004
-@@ -75,8 +75,8 @@
- install-local: libftgl.la
- 	$(INSTALL) -d -m 0755 $(libdir)
- 	$(LIBTOOL) --mode=install $(INSTALL) -m 0644 $(TARGET) $(libdir)
--    $(INSTALL) -d -m 0755 $(includedir)/FTGL
--    $(INSTALL) -m 0644 $(HEADER_FILES) $(includedir)/FTGL
-+	$(INSTALL) -d -m 0755 $(includedir)/FTGL
-+	$(INSTALL) -m 0644 $(HEADER_FILES) $(includedir)/FTGL
- 
- 
- clean-local:


-ip

-- 
No man is lonely while eating spaghetti.
Comment 3 Igor Pokrovsky 2005-03-24 17:59:27 UTC
The following addition to the last patch fixes the build error on pointyhat.

diff -ruN /usr/ports/graphics/ftgl/pkg-plist ftgl/pkg-plist
--- /usr/ports/graphics/ftgl/pkg-plist	Mon Jun 21 06:21:05 2004
+++ ftgl/pkg-plist	Wed Mar 23 18:44:18 2005
@@ -79,6 +79,8 @@
 %%PORTDOCS%%%%DOCSDIR%%/html/FTTextureGlyph_8cpp.html
 %%PORTDOCS%%%%DOCSDIR%%/html/FTVectoriser_8cpp-source.html
 %%PORTDOCS%%%%DOCSDIR%%/html/FTVectoriser_8cpp.html
+%%PORTDOCS%%%%DOCSDIR%%/html/dir_000000.html
+%%PORTDOCS%%%%DOCSDIR%%/html/dirs.html
 %%PORTDOCS%%%%DOCSDIR%%/html/doxygen.css
 %%PORTDOCS%%%%DOCSDIR%%/html/doxygen.png
 %%PORTDOCS%%%%DOCSDIR%%/html/files.html

-ip
Comment 4 Tilman Keskinoz freebsd_committer 2005-04-21 18:57:38 UTC
State Changed
From-To: feedback->closed

Committed, thanks.